commit:     54eb6222f3d13ea77177f2847e65d1316dce4f43
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 29 09:24:55 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May  7 18:43:20 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54eb6222

dev-python/zope-exceptions: New package, dep of zope.testing

 dev-python/zope-exceptions/Manifest                |  1 +
 dev-python/zope-exceptions/metadata.xml            | 12 +++++++
 .../zope-exceptions/zope-exceptions-4.1.0.ebuild   | 39 ++++++++++++++++++++++
 3 files changed, 52 insertions(+)

diff --git a/dev-python/zope-exceptions/Manifest 
b/dev-python/zope-exceptions/Manifest
new file mode 100644
index 00000000000..296c3478b61
--- /dev/null
+++ b/dev-python/zope-exceptions/Manifest
@@ -0,0 +1 @@
+DIST zope.exceptions-4.1.0.tar.gz 26605 SHA256 
f1c086abddc9f2050df5824ff7ab8ece3285c8e28453a29ee761effbc5e592ad SHA512 
7491a0558a999d6907d2d1adb33086ef047dd4fc5d39709da628a94ee11f5afaec4b2cb456c19b16595cfaf46cc0d25fb847196d331c9d9c80d2ba3a582b415f
 WHIRLPOOL 
763293545163ec66a52ee49db08183d7bc73832e862b097e0fb9d07f1cb8d8a6a280bfa053a4fd1278ef61db146e689df5e9305d44dae327ceadc00b9d776303

diff --git a/dev-python/zope-exceptions/metadata.xml 
b/dev-python/zope-exceptions/metadata.xml
new file mode 100644
index 00000000000..828a7ab2200
--- /dev/null
+++ b/dev-python/zope-exceptions/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Python</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="pypi">zope.exceptions</remote-id>
+               <remote-id 
type="github">zopefoundation/zope.exceptions</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-python/zope-exceptions/zope-exceptions-4.1.0.ebuild 
b/dev-python/zope-exceptions/zope-exceptions-4.1.0.ebuild
new file mode 100644
index 00000000000..976197f62de
--- /dev/null
+++ b/dev-python/zope-exceptions/zope-exceptions-4.1.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy{,3} )
+inherit distutils-r1
+
+MY_PN=${PN/-/.}
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="General purpose exceptions for Zope packages"
+HOMEPAGE="https://pypi.python.org/pypi/zope.exceptions 
https://github.com/zopefoundation/zope.exceptions";
+SRC_URI="mirror://pypi/${MY_PN::1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+# TODO: extras?
+RDEPEND="dev-python/namespace-zope[${PYTHON_USEDEP}]
+       dev-python/zope-interface[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/zope-testrunner[${PYTHON_USEDEP}] )"
+
+S=${WORKDIR}/${MY_P}
+
+python_test() {
+       esetup.py test
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       # remove .pth files since dev-python/namespace-zope handles the ns
+       find "${D}" -name '*.pth' -delete || die
+}

Reply via email to